> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /tuik/publications/search

> Search TÜİK news bulletins, tables, metadata, reports, databases and publications

**Price:** 20 credits per 10 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/tuik/publications/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/tuik/publications/search:
    post:
      tags:
        - /tuik
      summary: /tuik/publications/search
      description: >-
        Search TÜİK news bulletins, tables, metadata, reports, databases and
        publications


        **Price:** 20 credits per 10 results
      operationId: __api_tuik_publications_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TuikPublicationsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TuikPublication'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TuikPublicationsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
        query:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        types:
          anyOf:
            - items:
                $ref: '#/components/schemas/TuikPublicationType'
              type: array
            - type: 'null'
        categories:
          anyOf:
            - items:
                $ref: '#/components/schemas/TuikCategory'
              type: array
            - type: 'null'
        sub_categories:
          anyOf:
            - items:
                $ref: '#/components/schemas/TuikSubCategory'
              type: array
            - type: 'null'
        years:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        provinces:
          anyOf:
            - items:
                $ref: '#/components/schemas/TuikProvince'
              type: array
            - type: 'null'
        include_archive:
          type: boolean
          default: false
        lang:
          $ref: '#/components/schemas/TuikLang'
          default: tr
      type: object
      required:
        - count
    TuikPublication:
      properties:
        '@type':
          type: string
          default: TuikPublication
        url:
          type: string
        publication_title:
          type: string
        type_id:
          type: integer
        type_name:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        press_title:
          anyOf:
            - type: string
            - type: 'null'
        press_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - url
        - publication_title
        - type_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TuikPublicationType:
      type: string
      enum:
        - press_release
        - tables_and_graphics
        - metadata
        - report
        - database
        - publication
    TuikCategory:
      type: string
      enum:
        - justice_and_elections
        - science_technology_and_information_society
        - environment
        - education
        - energy
        - price_statistics
        - income_consumption_and_poverty
        - employment_unemployment_and_wages
        - short_term_economic_indicators
        - culture_and_sports
        - population_and_demography
        - health_and_social_protection
        - agriculture
        - tourism
        - transport_and_communication
        - national_accounts
        - international_trade
        - structural_business_statistics_and_business_demography
        - multi_domain_statistics
    TuikSubCategory:
      type: string
      enum:
        - justice_statistics
        - election_statistics
        - information_society_statistics
        - science_technology_and_innovation_statistics
        - waste_statistics
        - water_and_wastewater_statistics
        - environmental_accounts
        - greenhouse_gas_emission_statistics
        - sustainable_development
        - human_indexes
        - quality_of_life
        - education_expenditure_statistics
        - school_life_expectancy
        - formal_education_statistics
        - national_education_statistics
        - adult_education_survey
        - higher_education_brain_drain_statistics
        - higher_education_employment_indicators
        - energy_accounts
        - energy_consumption_statistics
        - services_producer_price_index
        - purchasing_power_parity_ppp
        - agricultural_products_producer_price_index_agriculture_ppi
        - agricultural_input_price_index_aipi
        - consumer_price_index_cpi
        - non_domestic_producer_price_index_nd_ppi
        - domestic_producer_price_index_d_ppi
        - construction_cost_index
        - income_distribution_statistics
        - household_consumption_expenditure_statistics
        - special_topics_on_income_and_living_conditions_statistics
        - poverty_and_living_conditions_statistics
        - labour_input_labour_cost_and_earnings_statistics
        - labour_force_statistics
        - turnover_indices_industry_construction_trade_services
        - rates_of_return_on_financial_investment_instruments
        - confidence_indices
        - house_and_commercial_property_sales_statistics
        - trade_sales_volume_index
        - production_indices
        - building_permit_statistics
        - culture_statistics
        - sports_statistics
        - address_based_population_registration_system
        - family_statistics
        - gender_statistics
        - child_statistics
        - youth_statistics
        - population_censuses
        - migration_statistics
        - life_tables
        - vital_statistics
        - population_projections
        - elderly_statistics
        - health_statistics
        - social_protection_statistics
        - crop_production_statistics
        - animal_production_statistics
        - fishery_statistics
        - agricultural_equipment_and_machinery_statistics
        - agricultural_product_producer_prices
        - agricultural_holding_structure_statistics
        - inbound_and_outbound_tourism_statistics
        - household_domestic_tourism_statistics
        - tourism_satellite_account
        - communication_statistics
        - transport_statistics
        - supply_and_use_tables_input_output_tables
        - regional_accounts
        - government_accounts
        - quarterly_gross_domestic_product
        - institutional_sector_accounts
        - annual_gross_domestic_product
        - international_trade_in_services_statistics
        - international_trade_in_goods_statistics
        - entrepreneurship_and_business_demography
        - small_and_medium_sized_enterprises_sme_statistics
        - financial_intermediary_institution_statistics
        - sector_balance_sheets
        - annual_industrial_products_prodcom_statistics
        - annual_industry_and_services_statistics
        - archive
        - business_registers
        - archive_200
        - producer_price_index_for_industry
        - selected_topics_related_to_labour_market
        - archive_274
        - archive_281
        - archive_285
        - archive_286
        - archive_295
    TuikProvince:
      type: string
      enum:
        - adana
        - adiyaman
        - afyonkarahisar
        - agri
        - aksaray
        - amasya
        - ankara
        - antalya
        - ardahan
        - artvin
        - aydin
        - balikesir
        - bartin
        - batman
        - bayburt
        - bilecik
        - bingol
        - bitlis
        - bolu
        - burdur
        - bursa
        - canakkale
        - cankiri
        - corum
        - denizli
        - diyarbakir
        - duzce
        - edirne
        - elazig
        - erzincan
        - erzurum
        - eskisehir
        - gaziantep
        - giresun
        - gumushane
        - hakkari
        - hatay
        - igdir
        - isparta
        - istanbul
        - izmir
        - kahramanmaras
        - karabuk
        - karaman
        - kars
        - kastamonu
        - kayseri
        - kirikkale
        - kirklareli
        - kirsehir
        - kilis
        - kocaeli
        - konya
        - kutahya
        - malatya
        - manisa
        - mardin
        - mersin
        - mugla
        - mus
        - nevsehir
        - nigde
        - ordu
        - osmaniye
        - rize
        - sakarya
        - samsun
        - siirt
        - sinop
        - sivas
        - sanliurfa
        - sirnak
        - tekirdag
        - tokat
        - trabzon
        - tunceli
        - usak
        - van
        - yalova
        - yozgat
        - zonguldak
    TuikLang:
      type: string
      enum:
        - tr
        - en
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````